Bug 905742 - Review Request: xoscope - Simple powerful oscilloscope
Review Request: xoscope - Simple powerful oscilloscope
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-29 23:31 EST by brian hurren
Modified: 2014-02-13 01:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-07 17:20:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description brian hurren 2013-01-29 23:31:02 EST
Spec URL: <http://mib.pianetalinux.org/MIB/2010.2/64/basic/xoscope-2.0-69.1mib2010.2.x86_64.rpm>
SRPM URL: <srpm info here>
Description: <a clean powerful 64bit osciloscope for linux>
Fedora Account System Username: brianhurren
Comment 2 brian hurren 2013-01-30 03:04:29 EST
Hi, I have been using xoscope since fedora 8  and I have found it to be excellent when used with sound card. I have found a 64bit x86 version of it already packaged as an RPM (how conveniant) i have installed it on fedora18. the rpm was for a different distro of Linux. (see link above). xoscope is an 8 channel fully functional oscilloscope that can sample from you sound card. it works with alsa. it is in my technical opinion one of the best oscilloscopes out there for Linux and it really should be included with fedora extras and included in the fedora electronics spin. it can sample all the way up tp 44000 khz
after installation it required two extra steps first yum install alsa-oss
and then modprobe snd_pcm_oss
and then it works fine.
Comment 3 Volker Fröhlich 2013-01-30 03:10:53 EST
Great to hear. Fedora Extras doesn't exist anymore for quite some time. If you want to package it, read what Eduardo posted. Otherwise, please don't open a review request. The finished RPM is not useful at all.
Comment 4 François Cami 2013-01-30 05:31:52 EST
For the record, here is the link to the corresponding SRPM, which needs work:
http://mib.pianetalinux.org/MIB/2010.2/srpms/xoscope-2.0-69.1mib2010.2.src.rpm
Comment 5 Susi Lehtola 2013-01-31 08:57:04 EST
and the spec?
Comment 6 François Cami 2013-01-31 09:04:02 EST
Susi, the package is currently in no shape to be included in Fedora. I linked to the SRPM so that any Fedora contributor wishing to work on it could start from it instead of from scratch.

Brian, have you read the URL in post #2 and are you interested in becoming a Fedora packager?
Comment 7 François Cami 2013-02-07 17:20:46 EST
No response for 7 days. Closing.
Comment 8 Christopher Meng 2014-02-13 01:51:34 EST
Dead upstream for 5 years. And it bundles lots of external libs.

Note You need to log in before you can comment on or make changes to this bug.